<?php
namespace Incoviba\old\Venta;

use Incoviba\Common\Alias\OldModel as Model;

class PropiedadUnidad extends Model {
  protected $propiedad_model;
  public function propiedad() {
    if ($this->propiedad_model == null) {
      $this->propiedad_model = $this->belongsTo(Propiedad::class, 'propiedad')->findOne();
    }
    return $this->propiedad_model;
  }
  protected $unidad_model;
  public function unidad() {
    if ($this->unidad_model == null) {
      $this->unidad_model = $this->belongsTo(Unidad::class, 'unidad')->findOne();
    }
    return $this->unidad_model;
  }
  protected $is_principal;
  public function isPrincipal() {
    return ($this->principal == 0) ? false : true;
  }
}
